Bug 1270531 - Review Request: gfeedline - Social Networking Client
Review Request: gfeedline - Social Networking Client
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2015-10-10 15:12 EDT by Nuno Dias
Modified: 2015-10-24 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Dias 2015-10-10 15:12:56 EDT
Spec URL: http://rpms.lip.pt/pub/f22/src/gfeedline.spec
SRPM URL: http://rpms.lip.pt/pub/f22/src/gfeedline-2.4.6-3.fc22.src.rpm
Description: 

GFeedLine is a social networking client, It supports Twitter, Facebook & Tumblr.

This is my first package, so I need a sponsor.

I already build the package in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=11401143

Fedora Account System Username: nunodias
Comment 1 Haïkel Guémar 2015-10-10 16:13:59 EDT
All of the following are blockers.
* incorrect BuildRequires
BuildRequires:	python >= 2.6
Should be
BuildRequires: python2-devel python-setuptools
* Incorrect sources url, please read the following guideline
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Hosting_Services
* Drop this include
%include %{_rpmconfigdir}/macros.python
* Do not use %py_libdir but %python2_sitelib
* a lot of unowned directories, please read the following guidelines
https://fedoraproject.org/wiki/Packaging:UnownedDirectories
* No requires on runtime libraries, so your application will fail to run properly after installation. I think that most of your BuildRequires should be converted to Requires (after all, there is no test suite to run during package building)
Comment 2 Upstream Release Monitoring 2015-10-11 16:40:07 EDT
nunodias's scratch build of gfeedline-2.4.6-4.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11410546
Comment 3 Nuno Dias 2015-10-11 16:53:51 EDT
Haïkel, thanks for the advices.

I addressed all the issues you mention, and created a new RPM, also build in koji. 

http://rpms.lip.pt/pub/f22/src/gfeedline-2.4.6-4.fc22.src.rpm
http://rpms.lip.pt/pub/f22/src/gfeedline.spec
Comment 4 Upstream Release Monitoring 2015-10-12 06:22:06 EDT
nunodias's scratch build of gfeedline-2.4.6-5.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11413320
Comment 6 Upstream Release Monitoring 2015-10-24 09:45:16 EDT
nunodias's scratch build of gfeedline-2.4.6-7.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11572371

Note You need to log in before you can comment on or make changes to this bug.